CVE-2016-10200

NameCVE-2016-10200
DescriptionRace condition in the L2TPv3 IP Encapsulation feature in the Linux kernel before 4.8.14 allows local users to gain privileges or cause a denial of service (use-after-free) by making multiple bind system calls without properly ascertaining whether a socket has the SOCK_ZAPPED status, related to net/l2tp/l2tp_ip.c and net/l2tp/l2tp_ip6.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-922-1
NVD severitymedium (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)wheezy3.2.78-1vulnerable
wheezy (security)3.2.93-1fixed
jessie3.16.43-2+deb8u2fixed
jessie (security)3.16.43-2+deb8u5fixed
stretch4.9.30-2+deb9u2fixed
stretch (security)4.9.30-2+deb9u5fixed
buster, sid4.12.13-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.8.15-1medium
linuxsourcejessie3.16.43-1medium
linuxsourcewheezy3.2.88-1mediumDLA-922-1

Notes

Fixed by: https://git.kernel.org/linus/32c231164b762dddefa13af5a0101032c70b50ef (v4.9-rc7)

Search for package or bug name: Reporting problems